// clang-format off
/* =====================================================================================
Copyright 2022 National Technology & Engineering Solutions of Sandia, LLC (NTESS).
Under the terms of Contract DE-NA0003525 with NTESS, the U.S. Government retains
certain rights in this software.

SCR#:2790.0

This file is part of Tacho. Tacho is open source software: you can redistribute it
and/or modify it under the terms of BSD 2-Clause License
(https://opensource.org/licenses/BSD-2-Clause). A copy of the licese is also
provided under the main directory

Questions? Kyungjoo Kim at <kyukim@sandia.gov,https://github.com/kyungjoo-kim>

Sandia National Laboratories, Albuquerque, NM, USA
===================================================================================== */
// clang-format on
#include "Kokkos_Core.hpp"

#if 0
#define TACHO_ENABLE_KOKKOS_TASK
#endif

#include "Tacho.hpp"
#include "Tacho_Driver.hpp"
#include "Tacho_Driver_Impl.hpp"

namespace Tacho {
  using eti_value_type = float;
  using eti_device_type = Kokkos::Device<Kokkos::Serial,Kokkos::HostSpace>;
  template struct Driver<eti_value_type,eti_device_type>;
}
